function write(dev, datain, precision)
  ARDUINO_I2C_WRITE = 22;
  if nargin < 2 || nargin > 3
    print_usage ();
  endif

  if nargin == 3
    if  !ischar(precision)
      error("expected presision to be a atring");
    endif
    precision = tolower(precision);
    if !strcmp(precision, "uint8") && !strcmp(precision, "int8") && !strcmp(precision, "uint16") && !strcmp(precision, "int16")
      error("expected pression to be (u)int8 or (u)int16 string");
    endif
  else
    precision = 'uint8';
  endif

  % write request
  [tmp, sz] = sendCommand(dev.arduinoobj, "", ARDUINO_I2C_WRITE, [dev.address uint8(datain)]);

endfunction
